<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.tistory.antop.Customer"%>
<%@ page import="org.hibernate.Transaction"%>
<%@ page import="util.HibernateUtil"%>
<%@ page import="org.hibernate.Session"%>
<%
request.setCharacterEncoding("utf-8");

String query = request.getParameter("query");
String retUrl = request.getParameter("retUrl");
if(retUrl == null || retUrl.length() == 0) {
	retUrl = "../index.jsp";
}

Session sess = HibernateUtil.getCurrentSession();
Transaction tx = sess.beginTransaction();

/* 고객 등록 */
if("regist".equals(query)) {
	String id = request.getParameter("id");
	String pwd = request.getParameter("pwd");
	String name = request.getParameter("name");
	String tel = request.getParameter("tel");
	
	Customer c = new Customer();
	c.setId(id);
	c.setPwd(pwd);
	c.setName(name);
	c.setTel(tel);
	
	// 저장(insert)
	sess.save(c);
}
/* 고객 수정 */
if("modify".equals(query)) {
	String id = request.getParameter("id");
	String pwd = request.getParameter("pwd");
	String name = request.getParameter("name");
	String tel = request.getParameter("tel");
	
	Customer c = (Customer) sess.load(Customer.class, id);
	c.setId(id);
	c.setPwd(pwd);
	c.setName(name);
	c.setTel(tel);
}
/* 고객 삭제 */
if("delete".equals(query)) {
	
}
/* 로그인 */
if("login".equals(query)) {
	boolean isLogin = false;
	
	String id = request.getParameter("id");
	String pwd = request.getParameter("pwd");
	
	// PK 값으로 고객 조회하기
	Customer c = (Customer) sess.load(Customer.class, id);
	
	if(pwd.equals(c.getPwd()) == true) {
		isLogin = true;
	}
	
	session.setAttribute("isLogin", isLogin);
	session.setAttribute("cId", c.getId());
}
/* 로그아웃 */
if("logout".equals(query)) {
	session.removeAttribute("isLogin");
	session.removeAttribute("cId");
}

tx.commit();
HibernateUtil.closeSession();

response.sendRedirect(retUrl);
%>