<%@ include file="../login_check.jsp" %>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.tistory.antop.*"%>
<%@ page import="org.hibernate.*"%>
<%@ page import="org.hibernate.criterion.*"%>
<%@ page import="java.util.*"%>
<%@ page import="util.HibernateUtil"%>

<%
request.setCharacterEncoding("utf-8");

Session sess = HibernateUtil.getCurrentSession();
Transaction tx = sess.beginTransaction();

String query = request.getParameter("query");
String cId = (String) session.getAttribute("cId");
// 고객
Customer c = (Customer) sess.load(Customer.class, cId);

/* 문의 등록 */
if("regist".equals(query)) {
	String title = request.getParameter("title");
	String contents = request.getParameter("contents");
	
	Support s = new Support();
	s.setTitle(title);
	s.setContents(contents);
	
	// 등록
	c.addSupport(s);
}
/* 문의 수정 */
if("modify".equals(query)) {
	String supportId = request.getParameter("supportId");
	int sid = Integer.parseInt(supportId);
	
	String title = request.getParameter("title");
	String contents = request.getParameter("contents");
	
	Support s = (Support) sess.load(Support.class, sid);
	s.setTitle(title);
	s.setContents(contents);
}
/* 문의 삭제 */
if("delete".equals(query)) {
	String[] chks = request.getParameterValues("chk");
	int size = chks.length;
	
	for(int i=0 ; i < size ; i++) {
		int sid = Integer.parseInt(chks[i]);
		Support s = (Support) sess.load(Support.class, sid);
		sess.delete(s);		// 삭제
	}
}

tx.commit();
HibernateUtil.closeSession();

response.sendRedirect("list.jsp");
%>