<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.tistory.antop.*"%>
<%@ page import="org.hibernate.*"%>
<%@ page import="org.hibernate.criterion.*"%>
<%@ page import="java.util.*"%>
<%@ page import="util.*"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>고객 정보</title>
</head>
<body>

<%
String id = request.getParameter("id");

Session sess = HibernateUtil.getCurrentSession();
Transaction tx = sess.beginTransaction();

Customer c = (Customer) sess.load(Customer.class, id);
String pwd = c.getPwd();
String name = c.getName();
String tel = c.getTel();

// 고객의 문의 카운트
Set<Support> supports = c.getSupports();
Iterator<Support> itr = supports.iterator();

int supportCnt = 0;			// 고객의 문의 갯수
int replyCnt = 0;			// 답변 완료 갯수

while(itr.hasNext()) {
	supportCnt++;
	
	Set<Reply> replys = itr.next().getReplys();
	if(replys.size() > 0) replyCnt++;
}

tx.commit();
HibernateUtil.closeSession();
%>

아이디: <%=id %>
<hr />
비밀번호: <%=pwd %>
<hr />
이름: <%=name %>
<hr />
연락처: <%=Utility.nullToBlank(tel) %>
<hr />
문의 갯수: <%=supportCnt %>
<hr />
답변 완료 갯수: <%=replyCnt %>
<hr />
<input type="button" value="확인" onclick="history.go(-1)">
</body>
</html>