<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.tistory.antop.*"%>
<%@ page import="org.hibernate.*"%>
<%@ page import="org.hibernate.criterion.*"%>
<%@ page import="java.util.*"%>
<%@ page import="util.*"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>문의 답변</title>
<script type="text/javascript">
function validate(reply) {
	if(!reply.value) {
		alert("답변을 작성하세요");
		reply.focus();
		return false;
	}

	return true;
}
function modifyReply(seq, reply) {
	var form = document.forms[0];
	form.query.value = "modify";		// 모드를 수정으로
	form.replySeq.value = seq;			// 수정할 답변 번호 등록
	form.submitBtn.value = "수정";		// 써브밋 버튼 수정으로 바꿈

	// 그냥 대충 처리....
	form.reply.value = reply.replace(/<br>/g, "\r\n");
	
	form.reply.select();				// 전체 선택
	form.reply.focus();					// 커서 이동
}
function deleteReply(seq) {
	var form = document.forms[0];
	form.query.value = "delete";
	form.replySeq.value = seq;
	form.submit();
}
function resetForm() {
	var form = document.forms[0];
	form.submitBtn.value = "등록";
	form.reset();
}
</script>
</head>
<body>

<%
// 문의 번호
String supportId = request.getParameter("supportId");
int sid = Integer.parseInt(supportId);

Session sess = HibernateUtil.getCurrentSession();
Transaction tx = sess.beginTransaction();

// 문의
Support s = (Support) sess.load(Support.class, sid);

// 문의를 올린 고객 정보
Customer c = s.getCustomer();

// 해당 문의에 달린 답변 목록
Set<Reply> replys = s.getReplys();
%>

제목: <%=s.getTitle() %>
<hr />
작성자: <%=c.getName() %>(<a href="user_info.jsp?id=<%=c.getId() %>"><%=c.getId() %></a>)
<hr />
연락처: <%=c.getTel() %>
<hr />
문의 제목: <%=s.getTitle() %>
<hr />
문의 내용:<br />
<%=Utility.nullToBlank(s.getContents()).replaceAll("\n", "<br />") %>
<hr />

<form action="proc.jsp" method="post" onsubmit="return validate(this.reply)">
<input type="hidden" name="query" value="regist" />
<input type="hidden" name="supportId" value="<%=supportId %>" />
<input type="hidden" name="replySeq" value="<%=supportId %>" />

<%
int i = 1;
Iterator<Reply> itr = replys.iterator();
while(itr.hasNext()) {
	Reply r = itr.next();	
%>

답변 <%=i %>
<input type="button" value="수정" onclick="modifyReply(<%=r.getSeq() %>, '<%=r.getReply().replaceAll("\r\n", "<br>") %>')" />
<input type="button" value="삭제" onclick="deleteReply(<%=r.getSeq() %>)" />
<br />
<%=r.getReply().replaceAll("\n", "<br />") %>
<hr />
<%
	i++;
}
%>

답변 작성:<br />
<textarea name="reply" cols="40" rows="5"></textarea>
<br /><br />
<input type="submit" name="submitBtn" value="등록" />
<input type="button" value="초기화" onclick="resetForm()" />
<input type="button" value="목록" onclick="location.href='index.jsp'" />
</form>

<%
tx.commit();
HibernateUtil.closeSession();
%>

</body>
</html>