<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="org.hibernate.Session"%>
<%@ page import="util.HibernateUtil"%>
<%@ page import="org.hibernate.Transaction"%>
<%@ page import="com.tistory.antop.Customer"%>
<%@ page import="util.Utility"%>
<%
String query = request.getParameter("query");
if(query == null || query.length() == 0) {
	query = "regist";
}

String id = "";
String pwd = "";
String name = "";
String tel = "";
boolean readOnly = false;

if("modify".equals(query)) {
	// 수정모드
	Session sess = HibernateUtil.getCurrentSession();
	Transaction tx = sess.beginTransaction();
	
	id = (String) session.getAttribute("cId");
	
	Customer c = (Customer) sess.load(Customer.class, id);
	pwd = c.getPwd();
	name = c.getName();
	tel = Utility.nullToBlank(c.getTel()); 
	
	tx.commit();
	HibernateUtil.closeSession();
	
	readOnly = true;
}
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>고객 등록/수정</title>
</head>
<script type="text/javascript">
function validate(form) {
	var obj;
 
	var formSize = form.length;
	for(var i=0 ; i < formSize ; i++) {
		obj = form[i];

		if(!obj.title) continue;

		if(!obj.value) {
			alert(obj.title + "을(를) 입력하세요!");
			obj.focus();
			return false;
		}		
	}
	
	return true;
}
</script>
<body>

<form action="proc.jsp?query=<%=query %>" method="post" onsubmit="return validate(this)">

아뒤: <input type="text" name="id" title="아이디" value="<%=id %>" <%=readOnly ? "readonly=\"readony\"" : "" %> /> <br />
비번: <input type="password" name="pwd" title="비밀번호" value="<%=pwd %>" /> <br />
이름: <input type="text" name="name" title="이름" value="<%=name %>" /> <br />
전번: <input type="text" name="tel" value="<%=tel %>" /> <br /> <br />

<input type="submit" value="확인" />

</form>

</body>
</html>