<%@ include file="../login_check.jsp" %>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.tistory.antop.*"%>
<%@ page import="org.hibernate.*"%>
<%@ page import="org.hibernate.criterion.*"%>
<%@ page import="java.util.*"%>
<%@ page import="util.HibernateUtil"%>

<%
String cId = (String) session.getAttribute("cId");

List<Support> list = new ArrayList<Support>();

Session sess = HibernateUtil.getCurrentSession();
Transaction tx = sess.beginTransaction();

//자신이 올린 문의 목록만 조회
Customer c = (Customer) sess.load(Customer.class, cId);

Criteria crit = sess.createCriteria(Support.class);
crit.add(Restrictions.eq("customer", c));		// 클래스 필드명
crit.addOrder(Order.desc("id"));				// 클래스 필드명
list = crit.list();

%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>문의 목록</title>
<script type="text/javascript">
function validate(form) {
	var size = form.chk.length;
	var count = 0;
	
	for(var i=1 ; i < size ; i++) {
		if(form.chk[i].checked == true) {
			count++;
		}
	}

	if(count == 0) {
		alert("삭제할 항목을 선택하세요.");
		return false;
	}

	return true;
}
function checkAll(bool) {
	var chks = document.getElementsByName("chk");
	var size = chks.length;

	for(var i=1 ; i < size ; i++) {
		chks[i].checked = bool;
	}
}
</script>
</head>
<body>

<a href="form.jsp">등록</a> | <a href="../index.jsp">메인</a>
<br />

<form action="proc.jsp?query=delete" method="post" onsubmit="return validate(this)">

<table cellpadding="10" cellspacing="0" border="1">
<tr>
	<th width="30"><input type="checkbox" id="chk" onclick="checkAll(this.checked)" /></th>
	<th>제목</th>
</tr>
<% int size = list.size(); %>
<% for(int i=0 ; i < size ; i++) { %>
<% Support s = list.get(i); %>
<tr>
	<td align="center"><input type="checkbox" name="chk" value="<%=s.getId() %>" /></td>
	<td><a href="view.jsp?supportId=<%=s.getId() %>"><%=s.getTitle() %></a></td>
</tr>
<% } %>
</table>

<br />

<input type="submit" value="삭제" />

</form>

<%
tx.commit();
HibernateUtil.closeSession();
%>

</body>
</html>